Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Events | List of all members
Microscopic_Traffic_Simulator.ObservableRelayCommand Class Reference

Extended relay command class by adding event after executing command. Useful for performing additional UI task after the action of command is finished. More...

Inheritance diagram for Microscopic_Traffic_Simulator.ObservableRelayCommand:

## Public Member Functions
| ObservableRelayCommand (Action< object > execute)
| Creates a new observable command that can always execute. More...
| ObservableRelayCommand (Action< object > execute, Predicate< object > canExecute)
| Creates a new observable command. More...
override void | Execute (object parameter)
| Execute action and then fire CommandExecuted event. More...
Public Member Functions inherited from Microscopic_Traffic_Simulator.RelayCommand
| RelayCommand (Action< object > execute)
| Creates a new command that can always execute. More...
| RelayCommand (Action< object > execute, Predicate< object > canExecute)
| Creates a new command. More...
bool | CanExecute (object parameter)
| Method for getting if command is possible to run. More...

## Events
EventHandler | CommandExecuted = delegate { }
| Event handler of events executing after finishing command action More...

## Additional Inherited Members
Properties inherited from Microscopic_Traffic_Simulator.RelayCommand
EventHandler | CanExecuteChanged
| For connecting with Command Manager More...

## Detailed Description

Extended relay command class by adding event after executing command. Useful for performing additional UI task after the action of command is finished.

Definition at line 9 of file ObservableRelayCommand.cs.

## Constructor & Destructor Documentation

Microscopic_Traffic_Simulator.ObservableRelayCommand.ObservableRelayCommand | ( | Action< object > | execute | ) |

Creates a new observable command that can always execute.

Parameters

  execute | The execution logic.

Definition at line 15 of file ObservableRelayCommand.cs.

Microscopic_Traffic_Simulator.ObservableRelayCommand.ObservableRelayCommand | ( | Action< object > | execute,
|  | Predicate< object > | canExecute
| ) |  |

Creates a new observable command.

Parameters

  execute | The execution logic.
  canExecute | The execution status logic.

Definition at line 22 of file ObservableRelayCommand.cs.

## Member Function Documentation

override void Microscopic_Traffic_Simulator.ObservableRelayCommand.Execute | ( | object | parameter | ) |
| virtual

Execute action and then fire CommandExecuted event.

Parameters

  parameter | Parameter of action

Reimplemented from Microscopic_Traffic_Simulator.RelayCommand.

Definition at line 34 of file ObservableRelayCommand.cs.

## Event Documentation

EventHandler Microscopic_Traffic_Simulator.ObservableRelayCommand.CommandExecuted = delegate { }

Event handler of events executing after finishing command action

Definition at line 28 of file ObservableRelayCommand.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/ObservableRelayCommand.cs